ArcGIS Maps SDK for JavaScript Angular 15 compatibility

1208
4
Jump to solution
05-08-2023 03:06 PM
PeteVitt
Occasional Contributor III

Hi - currently I'm running angular  version13.1 and ArcGIS Maps SDK for JavaScript 4.24.  I'd like to upgrade to Angular 15 and ArcGIS Maps SDK for JavaScript 4.26.  Does anyone know if Angular 15 and Maps SDK Javascript 4.26 are compatible or if there are any known issues?  Is there any location where this information is posted? I've looked on the SDK home page but havent seen any info on Angular compatibility

 

Thanks

 

Pete

Tags (2)
0 Kudos
1 Solution

Accepted Solutions
AndyGup
Esri Regular Contributor

We are only aware of the SDKs legacy TS decorator issue mentioned in the link I pasted above.

Angular 16 just released a few days ago: https://blog.angular.io/angular-v16-is-here-4d7a28ec680d. We did limited testing on the beta and didn't find any issues.

View solution in original post

4 Replies
AndyGup
Esri Regular Contributor
0 Kudos
PeteVitt
Occasional Contributor III

Hi Andy - I'm using arcgis/core

 

0 Kudos
AndyGup
Esri Regular Contributor

We are only aware of the SDKs legacy TS decorator issue mentioned in the link I pasted above.

Angular 16 just released a few days ago: https://blog.angular.io/angular-v16-is-here-4d7a28ec680d. We did limited testing on the beta and didn't find any issues.

PeteVitt
Occasional Contributor III

Thanks Andy!

0 Kudos